GetReward
POST
Get the rewards that a SR or a user has not yet withdrawn. (Confirmed state)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
addressstringrequired
Account address. (Format: Base58 or Hex). Example: TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJMvisibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)Responses
rewardinteger
Voting rewards, the amount of rewards that can be withdrawn by the account. (Unit: sun)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "400"}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/getReward' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM"}'